--- title: "Update the Gateway Anti-Malwares Updating Configuration for Sensor" slug: "update-the-gateway-anti-malwares-updating-configuration-for-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/update-the-gateway-anti-malwares-updating-configuration-for-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Gateway Anti-Malwares Updating Configuration for Sensor This URL updates the Gateway Anti-Malware updating configuration for Sensor. ### Resource URL PUT /sensor//gamupdatesettings ### Request Parameters URL Parameter | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | Yes | | `enableAutoUpdate` | Enable automatic update of Gateway Anti-Malware | Boolean | Yes | | `updateInterval` | Time interval of next update | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/sensor/1001/gamupdatesettings](https://<NSM_IP>/sdkapi/sensor/1001/gamupdatesettings) **Payload** ``` {   "inheritSettings": false,   "enableAutoUpdate": false,   "updateInterval": "6 hrs" } ``` **Response** ```  {       "status":1   } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1106 | Invalid Sensor | | 2 | 404 | 1124 | The Sensor is inactive | | 3 | 400 | 9301 | GAM update is not supported on this Sensor | | 4 | 400 | 9302 | GAM update time interval should be one of the following : ["1.5 hrs", "3 hrs", "6 hrs", "12 hrs", "24 hrs"] |